# Conditional build:
%bcond_with	tests	# unit tests

%define		module	 hatch-fancy-pypi-readme
Summary:	Fancy PyPI READMEs with Hatch
Name:		python3-%{module}
Version:	24.1.0
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/hatch-fancy-pypi-readme
Source0:	https://files.pythonhosted.org/packages/source/h/hatch-fancy-pypi-readme/hatch_fancy_pypi_readme-%{version}.tar.gz
# Source0-md5:	f5f9e639f066c91f8e623ec6231beae9
URL:		https://pypi.org/project/hatch-fancy-pypi-readme/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
#BuildRequires:	python3-
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
Obsoletes:	python3-hatch_fancy_pypi_readme < 24.1.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Your ✨Fancy✨ Project Deserves a ✨Fancy✨ PyPI Readme!

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n hatch_fancy_pypi_readme-%{version}

%build
%py3_build_pyproject

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md
%attr(755,root,root) %{_bindir}/hatch-fancy-pypi-readme
%{py3_sitescriptdir}/hatch_fancy_pypi_readme
%{py3_sitescriptdir}/hatch_fancy_pypi_readme-%{version}.dist-info
%changelog
* Fri Apr 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hatch-fancy-pypi-readme.git;a=log;h=master

* Fri Apr 04 2025 Jan Rękorajski <baggins@pld-linux.org> 4543e31
- rel 4, drop the underscore madness from package name

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3169bcb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1259355
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 00a0c4e
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 85989ea
- Initial

